LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMenuBarAcceptor Interface Reference

provides function to update a menu bar for inplace editing. More...

`import <XMenuBarAcceptor.idl;`

Inheritance diagram for XMenuBarAcceptor:

## Public Member Functions
void | updateMenuBar ([inout] com::sun::star::awt::XMenuBar xMenuBar)
| update menu bar according to the current frame mode.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides function to update a menu bar for inplace editing.

Deprecated

Since
  OOo 2.0

## Member Function Documentation

## ◆ updateMenuBar()

void updateMenuBar | ( | [inout] com::sun::star::awt::XMenuBar | xMenuBar | ) |

update menu bar according to the current frame mode.

This is used in inplace editing mode where we have to merge our own menu into the container applications menu.

Parameters

  xMenuBar | the menu bar that should be merged with current one.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XMenuBarAcceptor.idl